> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ilitylabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List surfaces

> Lists the workspace's surfaces with each one's score, open issue count, and last scan.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/surfaces
openapi: 3.1.0
info:
  title: ility API
  version: 1.0.0
  description: Read accessibility results and start scans in your ility workspace.
servers:
  - url: https://app.ilitylabs.com
security:
  - apiKey: []
tags:
  - name: Workspaces
  - name: Surfaces
  - name: Domains
  - name: Scans
  - name: Issues
paths:
  /v1/surfaces:
    get:
      tags:
        - Surfaces
      summary: List surfaces
      description: >-
        Lists the workspace's surfaces with each one's score, open issue count,
        and last scan.
      parameters:
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 50
          required: false
          name: limit
          in: query
        - schema:
            type: string
          required: false
          name: cursor
          in: query
        - schema:
            type: string
          required: false
          name: q
          in: query
        - schema:
            type: string
            enum:
              - web
          required: false
          name: type
          in: query
        - schema:
            type: string
            format: uuid
          required: false
          name: group_id
          in: query
        - schema:
            type: string
            enum:
              - active
              - archived
              - all
            default: active
          required: false
          name: status
          in: query
        - schema:
            type: string
            enum:
              - 'true'
          required: false
          name: attention
          in: query
        - schema:
            type: string
            enum:
              - name
              - score
              - open_count
              - pages
              - last_scan
          required: false
          name: sort
          in: query
        - schema:
            type: string
            enum:
              - asc
              - desc
          required: false
          name: order
          in: query
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceSurfaceListResponse'
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    WorkspaceSurfaceListResponse:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/SurfaceListItem'
        next_cursor:
          type:
            - string
            - 'null'
        total:
          type: integer
      required:
        - items
        - next_cursor
        - total
    ErrorResponse:
      type: object
      properties:
        detail:
          type: string
        reason:
          type: string
      required:
        - detail
    SurfaceListItem:
      allOf:
        - $ref: '#/components/schemas/Surface'
        - type: object
          properties:
            group:
              type:
                - object
                - 'null'
              properties:
                id:
                  type: string
                  format: uuid
                name:
                  type: string
              required:
                - id
                - name
            summary:
              $ref: '#/components/schemas/SurfaceListSummary'
            attention:
              anyOf:
                - $ref: '#/components/schemas/SurfaceAttention'
                - type: 'null'
          required:
            - group
            - summary
            - attention
    Surface:
      type: object
      properties:
        id:
          type: string
          format: uuid
        workspace_id:
          type: string
          format: uuid
        group_id:
          type:
            - string
            - 'null'
          format: uuid
        type:
          type: string
          enum:
            - web
        name:
          type: string
        config:
          type: object
          additionalProperties: {}
        domain_id:
          type:
            - string
            - 'null'
          format: uuid
        status:
          type: string
          enum:
            - active
            - archived
        archived_at:
          type:
            - string
            - 'null'
          format: date-time
        domain:
          anyOf:
            - $ref: '#/components/schemas/SurfaceDomain'
            - type: 'null'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - id
        - workspace_id
        - group_id
        - type
        - name
        - config
        - domain_id
        - status
        - archived_at
        - domain
        - created_at
        - updated_at
    SurfaceListSummary:
      type: object
      properties:
        score:
          type:
            - integer
            - 'null'
        band:
          anyOf:
            - $ref: '#/components/schemas/ScoreBand'
            - type: 'null'
        has_blocking:
          type: boolean
        open_count:
          type: integer
        pages_discovered:
          type: integer
        last_scan:
          anyOf:
            - $ref: '#/components/schemas/DomainSummaryLastScan'
            - type: 'null'
        previous_scan_at:
          type:
            - string
            - 'null'
          format: date-time
        first_scan_at:
          type:
            - string
            - 'null'
          format: date-time
        open_delta:
          type:
            - integer
            - 'null'
        pages_delta:
          type:
            - integer
            - 'null'
      required:
        - score
        - band
        - has_blocking
        - open_count
        - pages_discovered
        - last_scan
        - previous_scan_at
        - first_scan_at
        - open_delta
        - pages_delta
    SurfaceAttention:
      type: object
      properties:
        reason:
          type: string
          enum:
            - never-scanned
            - stale
            - blocked
            - regressed
        score_delta:
          type:
            - integer
            - 'null'
        new_issue_count:
          type:
            - integer
            - 'null'
        blocking_issue_id:
          type:
            - string
            - 'null'
          format: uuid
        blocking_issue_number:
          type:
            - integer
            - 'null'
        blocking_opened_at:
          type:
            - string
            - 'null'
          format: date-time
        failed_scan_count:
          type:
            - integer
            - 'null'
        latest_error:
          type:
            - string
            - 'null'
      required:
        - reason
        - score_delta
        - new_issue_count
        - blocking_issue_id
        - blocking_issue_number
        - blocking_opened_at
        - failed_scan_count
        - latest_error
    SurfaceDomain:
      type: object
      properties:
        id:
          type: string
          format: uuid
        slug:
          type: string
        base_url:
          type: string
        name:
          type:
            - string
            - 'null'
        environment:
          type:
            - string
            - 'null'
      required:
        - id
        - slug
        - base_url
        - name
        - environment
    ScoreBand:
      type: string
      enum:
        - green
        - amber
        - red
    DomainSummaryLastScan:
      type: object
      properties:
        id:
          type: string
          format: uuid
        status:
          type: string
        started_at:
          type:
            - string
            - 'null'
          format: date-time
        completed_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - status
        - started_at
        - completed_at
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: >-
        An ility API key, such as `ilk_1a2b3c4d_…`. Workspace owners create keys
        under Settings → API keys.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.